%global modname furl

Name:           python-%{modname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        URL manipulation made simple

License:        Unlicense
URL:            https://github.com/gruns/furl
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pycodestyle
BuildRequires:  python2-six >= 1.8.0
BuildRequires:  python2-orderedmultidict >= 0.7.8
Requires:       python2-six >= 1.8.0
Requires:       python2-orderedmultidict >= 0.7.8

%description -n python2-%{modname}
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pycodestyle
BuildRequires:  python3-six >= 1.8.0
BuildRequires:  python3-orderedmultidict >= 0.7.8
Requires:       python3-six >= 1.8.0
Requires:       python3-orderedmultidict >= 0.7.8

%description -n python3-%{modname}
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
touch tests/__init__.py
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE.md
%doc API.md README.md changelog.txt
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE.md
%doc API.md README.md changelog.txt
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Mar 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.7-1
- Update to 0.5.7 (RHBZ #1429064)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.6-2
- Rebuild for Python 3.6

* Mon Oct 24 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.6-1
- Update to 0.5.6

* Sat Sep 24 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.93-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr 05 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.4.93-1
- Update to 0.4.93

* Sun Apr 03 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.4.92-1
- Initial package
